Skip to main content
PATCH
/
customers
/
{customer_id}
/
addresses
/
{customer_address_id}
Update Address
curl --request PATCH \
  --url https://api.crosoftware.com/v0/customers/{customer_id}/addresses/{customer_address_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "country": "<string>",
  "is_billing": true,
  "is_shipping": true,
  "latitude": "<string>",
  "line_1": "<string>",
  "locality": "<string>",
  "longitude": "<string>",
  "postcode": "<string>",
  "region": "<string>",
  "line_2": "<string>",
  "line_3": "<string>",
  "line_4": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/customers/{customer_id}/addresses/{customer_address_id}"

payload = {
"country": "<string>",
"is_billing": True,
"is_shipping": True,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
country: '<string>',
is_billing: true,
is_shipping: true,
latitude: '<string>',
line_1: '<string>',
locality: '<string>',
longitude: '<string>',
postcode: '<string>',
region: '<string>',
line_2: '<string>',
line_3: '<string>',
line_4: '<string>'
})
};

fetch('https://api.crosoftware.com/v0/customers/{customer_id}/addresses/{customer_address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "country": "<string>",
  "id": 123,
  "is_active": true,
  "is_billing": true,
  "is_physical": true,
  "is_shipping": true,
  "latitude": "<string>",
  "line_1": "<string>",
  "line_2": "<string>",
  "line_3": "<string>",
  "line_4": "<string>",
  "locality": "<string>",
  "longitude": "<string>",
  "postcode": "<string>",
  "region": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

customer_id
integer<int64>
required

Customer identifier.

customer_address_id
integer<int64>
required

Customer address identifier.

Body

application/json

Customer address.

country
string
required

Country code (ISO 3166-1 alpha 2).

is_billing
boolean
required

If true, this is the customer's billing address.

is_shipping
boolean
required

Customer's shipping address if true.

latitude
string
required

Latitude.

line_1
string
required

Street address.

locality
string
required

Address locality (e.g. city).

longitude
string
required

longitude.

postcode
string
required

Postal code (may include letters and symbols).

region
string
required

Address region (e.g. state).

line_2
string

Street address line 2.

line_3
string

Street address line 3.

line_4
string

Street address line 4 (doubles as county).

Response

200 - application/json

Success

Customer address.

country
string
required

Country code (ISO 3166-1 alpha 2).

id
integer<int64>
required

Customer address identifier.

is_active
boolean
required

Records marked inactive are treated as deleted (soft delete).

is_billing
boolean
required

If true, this is the customer's billing address.

is_physical
boolean
required

Physical address if true.

is_shipping
boolean
required

Customer's shipping address if true.

latitude
string
required

Latitude.

line_1
string
required

Street address.

line_2
string
required

Street address line 2.

line_3
string
required

Street address line 3.

line_4
string
required

Street address line 4 (doubles as county).

locality
string
required

Address locality (e.g. city).

longitude
string
required

longitude.

postcode
string
required

Postal code (may include letters and symbols).

region
string
required

Address region (e.g. state).